MInputContextInfo Struct Reference
Collaboration diagram for MInputContextInfo:
[legend]

## Data Fields

MIMState * | state
MIMState * | prev_state
MIMMap * | map
int | size
int | inc
int | used
MSymbol * | keys
int | state_key_head
int | key_head
int | commit_key_head
MText * | preedit_saved
int | state_pos
MPlist * | markers
MPlist * | vars
MPlist * | vars_saved
MText * | preceding_text
MText * | following_text
int | key_unhandled
void * | win_info
MPlist * | state_hook
unsigned long | tick
MPlist * | pushing_or_switching
MPlist * | fallbacks
MIMInputStack * | stack

## Field Documentation

## state

MIMState* MInputContextInfo::state

## prev_state

MIMState* MInputContextInfo::prev_state

## map

MIMMap* MInputContextInfo::map

## size

int MInputContextInfo::size

## inc

int MInputContextInfo::inc

## used

int MInputContextInfo::used

## keys

MSymbol* MInputContextInfo::keys

## state_key_head

int MInputContextInfo::state_key_head

## key_head

int MInputContextInfo::key_head

## commit_key_head

int MInputContextInfo::commit_key_head

## preedit_saved

MText* MInputContextInfo::preedit_saved

## state_pos

int MInputContextInfo::state_pos

## markers

MPlist* MInputContextInfo::markers

## vars

MPlist* MInputContextInfo::vars

## vars_saved

MPlist* MInputContextInfo::vars_saved

## preceding_text

MText* MInputContextInfo::preceding_text

## following_text

MText * MInputContextInfo::following_text

## key_unhandled

int MInputContextInfo::key_unhandled

## win_info

void* MInputContextInfo::win_info

## state_hook

MPlist* MInputContextInfo::state_hook

## tick

unsigned long MInputContextInfo::tick

## pushing_or_switching

MPlist* MInputContextInfo::pushing_or_switching

## fallbacks

MPlist* MInputContextInfo::fallbacks

## stack

MIMInputStack* MInputContextInfo::stack